// 005 u_irp_page
// 28 jan 2008

// -- (C) Felix John COLIBRI 2008
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_irp_page;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, Controls,
  IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl, IWGrids,
  IWDBGrids, DB, DBClient, IWCompButton, RpRender, RpRenderPDF, RpBase,
  RpSystem, RpCon, RpConDS, RpDefine, RpRave;

type
  TIWForm1 = class(TIWAppForm)
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    IWDBGrid1: TIWDBGrid;
    displaypdf: TIWButton;
    CreatePdf: TIWButton;
    RvProject1: TRvProject;
    RvDataSetConnection1: TRvDataSetConnection;
    RvSystem1: TRvSystem;
    RvRenderPDF1: TRvRenderPDF;
    procedure CreatePdfClick(Sender: TObject);
    procedure displaypdfClick(Sender: TObject);
  public
  end;

implementation
  uses u_irp_ServerController;

  {$R *.dfm}


    procedure TIWForm1.displaypdfClick(Sender: TObject);
      var l_pdf_file_name: string;
          l_popup_page_name: string;
          l_popup_page_options: string;
          l_pdf_url: string;
      begin
        l_pdf_file_name:= 'my_report.pdf';

        l_popup_page_name:= 'the_report';
        l_popup_page_options:= 'scrollbars=yes,width=400,height=600';
        l_pdf_url:= WebApplication.AppURLBase+ '/files/'+ l_pdf_file_name;
        AddToInitProc('NewWindow("'+ l_pdf_url+ '", "'+ l_popup_page_name+ '","'+ l_popup_page_options+ '");');
      end;

    procedure TIWForm1.CreatePdfClick(Sender: TObject);
      begin
        with RvSystem1 do
        begin
          DoNativeOutput:= false;
          RenderObject:= RvRenderPDF1;
          OutputFileName:= 'FILES\my_report_3.pdf';
        end; // with RvSystem1

        RvProject1.Execute;
      end; // CreatePdfClick

initialization
  TIWForm1.SetAsMainForm;

end.
.
